BCdiploma Knowledge BaseBCdiploma Knowledge Base
User guide
Technical guide
API
Terms and Data
  • English
  • Français
User guide
Technical guide
API
Terms and Data
  • English
  • Français
  • API

    • How to use BCdiploma API
    • Automate issuing process
    • Deletions and revocations
    • Update
    • Certificate Template Management
    • Learning Pathway Management
    • Download
    • Data Export
    • Miscellaneous APIs
    • Management of errors

How to use BCdiploma API

This documentation describes the automation of the certification process through the BCdiploma API, composed of several REST Webservices.

Prerequisites

  1. The implementation of the interfaces described in this document will only be possible after the configuration of a first template in the staging or production environment;
  2. The issuer must retrieve his API key and his Issuer ID in the backoffice as administrator, they will be used during API calls.
  3. The expected format for dates is the ISO format YYYY-MM-DD.

API usage

For most of the REST calls, authentication is mandatory.

Authentication is made by an API key, which has to be set in the header for each call

Mandatory HTTP header:

Authorization: Bearer <your API key>

To retrieve an API key and your Issuer ID, please read this article.

The API endpoints are as follows:

  • Staging : https://api-staging.bcdiploma.com
  • Production (data is located in the EU zone - default) : https://api.bcdiploma.com
  • Production (data is located in the US zone - on demand) : https://api-cus.bcdiploma.com

These endpoints are referred to as [API-URL] in the following documentation.

Rate limiting

The BCdiploma APIs can be used regardless of the plan you have subscribed to.

On the [API-URL] Endpoints

Two types of limits apply simultaneously:

  • Steady limit: maximum number of requests allowed over a 60-second sliding window.
  • Burst limit: maximum number of requests allowed over a 5-second sliding window, to absorb short-lived traffic spikes.
Endpoint typeSteady limit (60 s)Burst limit (5 s)
Unauthenticated (anonymous)40050
Authenticated (Bearer)500100
Publication24020
/admin/login6010

On the [TOOLBOX-URL] Endpoints

EndpointLimit (60 s)
GET /pdfasync/:id1
GET /pdf/:id1
POST /pdf4
Next
Automate issuing process